.footer {
  color: white;
  width: 100%;
  background-color: rgb(15, 15, 15);
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
}

.footer-wrapper {
  width: 100%;
  padding: 4rem 8rem 0;
  box-sizing: border-box;
}

.footer-wrapper .footer-upper-section {
  width: 100%;
  border-bottom: 0.1rem solid white;
  display: flex;
  justify-content: space-between;
}

.footer-wrapper .footer-upper-section .footer-left-column {
  max-width: 50%;
  padding-right: 2rem;
  box-sizing: border-box;
}

.footer-wrapper .footer-upper-section .footer-left-column img {
  width: 150px;
  margin-bottom: 1rem;
}

.footer-wrapper .footer-upper-section .footer-left-column p {
  font-size: 0.8em;
  margin-bottom: 1.5rem;
}

.footer-wrapper .footer-upper-section .footer-middle-column {
  max-width: 20%;
  padding-right: 2rem;
  box-sizing: border-box;
}

.footer-wrapper .footer-upper-section .footer-middle-column ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.footer-wrapper .footer-upper-section .footer-middle-column ul a {
  text-decoration: none;
  color: white;
  font-size: 0.9em;
}

.footer-wrapper .footer-upper-section .footer-right-column {
  max-width: 30%;
  padding-right: 4rem;
  box-sizing: border-box;
}

.footer-wrapper .footer-upper-section .footer-right-column h5 {
  margin-bottom: 0.5rem;
}

.footer-wrapper
  .footer-upper-section
  .footer-right-column
  .footer-download-group {
  margin-bottom: 1rem;
}

.footer-wrapper
  .footer-upper-section
  .footer-right-column
  .footer-social-group {
  margin-bottom: 1rem;
}

.footer-wrapper
  .footer-upper-section
  .footer-right-column
  .footer-download-group
  img {
  width: 36px;
  margin-right: 1rem;
}

.footer-wrapper
  .footer-upper-section
  .footer-right-column
  .footer-social-group
  img {
  width: 36px;
  margin-right: 1rem;
}

.footer-wrapper .footer-bottom-section {
  padding: 2rem 0;
  font-size: 0.9em;
  text-align: center;
}

@media only screen and (max-width: 1015px) {
  .footer-wrapper .footer-upper-section {
    flex-direction: column;
  }
  .footer-wrapper .footer-upper-section .footer-left-column {
    max-width: 100%;
    text-align: center;
    padding-right: 0;
  }
  .footer-wrapper .footer-upper-section .footer-middle-column {
    max-width: 100%;
    margin-bottom: 2rem;
    text-align: center;
    padding-right: 0;
  }

  .footer-wrapper .footer-upper-section .footer-middle-column ul {
    display: inline-flex;
  }

  .footer-wrapper .footer-upper-section .footer-middle-column ul li {
    margin: 0 0.5rem;
  }

  .footer-wrapper .footer-upper-section .footer-right-column {
    max-width: 100%;
    text-align: center;
    padding-right: 0;
    display: inline-flex;
    justify-content: center;
  }

  .footer-wrapper .footer-upper-section .footer-right-column .footer-right-01 {
    margin-right: 1rem;
  }

  .footer-wrapper .footer-upper-section .footer-right-column .footer-right-02 {
    margin-left: 1rem;
  }

  .footer-wrapper
    .footer-upper-section
    .footer-right-column
    .footer-download-group
    :last-child {
    margin-right: 0rem;
  }

  .footer-wrapper
    .footer-upper-section
    .footer-right-column
    .footer-social-group
    :last-child {
    margin-right: 0rem;
  }
}
